%define name libvorbis
%define version 1.1.1
%define release 1mdk
%define theirversion %version
%define lib_name_orig libvorbis
%define lib_major 0
%define lib_name %mklibname vorbis %{lib_major}
%define lib_enc_major 2
%define lib_enc_name %mklibname vorbisenc %{lib_enc_major}
%define lib_file_major 3
%define lib_file_name %mklibname vorbisfile %{lib_file_major}
%define oggver 1.1

Name: %{name}
Summary: The Vorbis General Audio Compression Codec
Version: %{version}
Release: %{release}
Group: System/Libraries
License: BSD
URL: http://www.xiph.org/
Source:	http://downloads.xiph.org/releases/vorbis/%{name}-%{theirversion}.tar.bz2
Patch0: libvorbis-1.0rc3-fix-optflags.patch.bz2
Patch1: libvorbis-1.0-lib64.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libogg-devel >= %oggver
BuildRequires: glibc-static-devel
#gw: if patched
BuildRequires: automake1.7

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

Find some free Ogg Vorbis music here: http://www.vorbis.com/music.html

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: oggvorbis
Provides: oggvorbis = %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Requires: %{lib_enc_name} = %{version}
Requires: %{lib_file_name} = %{version}
Requires: libogg-devel >= %{oggver}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}%{lib_major}-devel = %{version}-%{release}
Obsoletes: oggvorbis-devel
Provides: oggvorbis-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{lib_enc_name}
Summary: Encoder specialized library for %{name}
Group: System/Libraries

%description -n %{lib_enc_name}
This package contains the library needed for some programs using the
encoder capability of %{name}.

%package -n %{lib_file_name}
Summary: File operations specialized library for %{name}
Group: System/Libraries
Requires: %{lib_name} = %{version}

%description -n %{lib_file_name}
This package contains the library needed for some programs using the
file operations capability of %{name}.

%prep
%setup -q -n %{name}-%{theirversion}
%patch0 -p0
%patch1 -p1 -b .lib64
# Regenerate aclocal.m4 to get the system ogg.m4.
# (aka don't use the package XIPH_PATH_OGG macro)
perl -ni -e "/^AC_DEFUN.XIPH_PATH_OGG/ .. /^\]\)$/ or print" acinclude.m4
aclocal-1.7
WANT_AUTOCONF_2_5=1 autoconf
automake-1.7 -a -c

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/%{_datadir}/doc installed-docs

%clean 
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%post -n %{lib_enc_name} -p /sbin/ldconfig
%post -n %{lib_file_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_enc_name} -p /sbin/ldconfig
%postun -n %{lib_file_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING AUTHORS README
%{_libdir}/%{lib_name_orig}.so.*

%files -n %{lib_enc_name}
%defattr(-,root,root)
%{_libdir}/%{lib_name_orig}enc.so.*

%files -n %{lib_file_name}
%defattr(-,root,root)
%{_libdir}/%{lib_name_orig}file.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc installed-docs
%{_includedir}/vorbis
%{_libdir}/*.so
%{_libdir}/*.*a
%{_datadir}/aclocal/vorbis.m4
%{_libdir}/pkgconfig/*

%changelog
* Sun Jul 10 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- spec cleanup
- New release 1.1.1

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- fix ogg dependancy
- disable patch 3, needs a review
- fix source URL
- New release 1.1.0

* Wed Jun 09 2004 Christiaan Welvaart <cjw@daneel.dyndns.rg> 1.0.1-5mdk
- fix buildrequires

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-4mdk
- rebuild for new pkgconfig Requires

* Fri Dec 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- fix required version of libogg-devel 

* Fri Dec 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- fix buildrequires

* Thu Dec 11 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- new version

* Wed Oct 22 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-12mdk
- fix aliasing stuff

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-11mdk
- aliasing fixes
- provides plain libvorbis for explicit versioned requires

* Tue Sep  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-10mdk
- mklibname

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-9mdk
- rebuild for new devel provides

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-8mdk
- Rebuild

* Sun Mar 30 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-7mdk
- rebuilding with gcc-3.2.2 fixes #3588,
  "Noatun displays incorrect bitrate for OGG files"

* Tue Sep 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-6mdk
- fix requires thx fred crozat

* Mon Aug 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-5mdk
- use patch from Tim Lee <tlee37 at hotmail.com> to fix the problem
  in vorbis.m4 leading to a segfault of a test vorbis program

* Fri Jul 26 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- -devel need ogg-devel, thx to Frederik Himpe <fhimpe@users.sourceforge.net>

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- Patch1: lib64 fixes to vorbis.m4
- Regenerate aclocal.m4 to get the system ogg.m4

* Mon Jul 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-2mdk
- devel subpackage requires splitted subpackages

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-1mdk
- final version! (grmbl, needs to split up because of different sonames on
  various shlibs)

* Fri Jan 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc3.1mdk
- new version
- devel package requires version-release of main package, not only
  version [since we use release for beta versions...]

* Thu Dec 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.4mdk
- provide .la file in devel package (thx Goetz Waschk)

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.3mdk
- fix obsolete-tag Copyright
- fix strange-permission

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.2mdk
- fix provides

* Tue Aug 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.1mdk
- version 1.0rc2

* Wed Jun 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc1.1mdk
- version 1.0rc1

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta 4 release
- fix provides
- now under BSD license

* Tue Dec 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.4mdk
- use CVS code to get the fix for problems in encoding

* Mon Dec 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.3mdk
- fixes optflags

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.2mdk
- add Obsoletes for oggvorbis

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.1mdk
- Package for Linux-Mandrake

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
